This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 128804 - Implementation of per-file dependencies
Implementation of per-file dependencies
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-29 14:24 EDT by Mark Hatle
Modified: 2015-03-30 06:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-30 06:31:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Per file dependency implementation (17.18 KB, patch)
2004-07-29 14:25 EDT, Mark Hatle
no flags Details | Diff

  None (edit)
Description Mark Hatle 2004-07-29 14:24:19 EDT
The patch will add the ability to specify per file dependencies.

The dependencies are attributes that are specified on each line of the
%files section.

They are in addition to any automatic dependencies that are generated,
setting AutoReqProv: no in the package will cause the manual per-file
dependencies to be ignored.

The three new attributes are:

%fconflicts(...)
%fprovides(...)
%frequires(...)

The rules for what can be placed inside of each attribute is the same
as the preample:  Conflicts, Provides, and Requires.

More then one attribute is allowed.

Example:

%files
%fprovides(my_foo_lib) %fprovides (your_foo_lib) /lib/libfoo.so.1
%frequires(my_foo_lib your_bar_lib) /bin/bar
%fconflicts(foobar <= 1:1-1) /bin/foobar
Comment 1 Mark Hatle 2004-07-29 14:25:31 EDT
Created attachment 102293 [details]
Per file dependency implementation

Adds the attributes %fconflicts, %fprovides, %requires to the %files lines to
allow for manual per-file dependencies to be set.
Comment 2 Red Hat Bugzilla 2007-08-21 01:18:40 EDT
User pnasrat@redhat.com's account has been closed
Comment 3 Panu Matilainen 2007-08-22 02:33:27 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 4 John Poelstra 2008-07-04 00:22:05 EDT
triaged
Comment 6 Fedora Admin XMLRPC Client 2012-04-13 19:11:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2012-04-13 19:13:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Florian Festi 2015-03-30 06:31:08 EDT
Oh dear! 10 years later...

Closing. Please reopen if anyone interested in this is still alive.

Note You need to log in before you can comment on or make changes to this bug.